Generate branded Open Graph image
curl --request POST \
--url https://www.citedy.com/api/agent/tools/og-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandName": "<string>",
"brandDescription": "<string>",
"primaryColor": "<string>",
"logoUrl": "<string>",
"headline": "<string>",
"subheadline": "<string>"
}
'import requests
url = "https://www.citedy.com/api/agent/tools/og-image"
payload = {
"brandName": "<string>",
"brandDescription": "<string>",
"primaryColor": "<string>",
"logoUrl": "<string>",
"headline": "<string>",
"subheadline": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brandName: '<string>',
brandDescription: '<string>',
primaryColor: '<string>',
logoUrl: '<string>',
headline: '<string>',
subheadline: '<string>'
})
};
fetch('https://www.citedy.com/api/agent/tools/og-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"tool": "meta-tags",
"data": {},
"credits_charged": 1
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}SEO Tools
Generate branded Open Graph image
POST
/
api
/
agent
/
tools
/
og-image
Generate branded Open Graph image
Authorizations
Bearer citedy_agent_* key
Body
application/json
Maximum string length:
100Maximum string length:
1000Pattern:
^#[0-9A-Fa-f]{6}$Maximum string length:
2000Available options:
product, blog_post, comparison, case_study Maximum string length:
120Maximum string length:
180⌘I
